package com.qmth.paper.library.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.paper.library.business.bean.result.PaperArchivesResult;
import com.qmth.paper.library.business.bean.result.SelectResult;
import com.qmth.paper.library.business.entity.PaperArchives;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 档案管理表 Mapper 接口
 * </p>
 */
public interface PaperArchivesMapper extends BaseMapper<PaperArchives> {

    IPage<PaperArchivesResult> pageData(@Param("page") Page<PaperArchivesResult> page, @Param("semesterId") Long semesterId, @Param("managerOrgId") Long managerOrgId, @Param("archivesTypeId") Long archivesTypeId, @Param("archivesName") String archivesName);

    PaperArchives selectByArchivesName(@Param("schoolId") Long schoolId, @Param("archivesName") String archivesName);

    List<SelectResult> queryManagerOrgs(@Param("schoolId") Long schoolId, @Param("semesterId") Long semesterId);
}
