package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.business.bean.result.PaperLibraryResult;
import com.qmth.paper.library.business.entity.PaperLibrary;

import java.util.List;

/**
 * <p>
 * 图片库 服务类
 * </p>
 */
public interface PaperLibraryService extends IService<PaperLibrary> {

    IPage<PaperLibraryResult> pageUnbindData(Long paperScanTaskId, Integer pageNumber, Integer pageSize);

    int countUnbindData(Long paperScanTaskId);

    IPage<PaperLibraryResult> pageBindData(Long paperScanTaskId, Integer pageNumber, Integer pageSize);

    boolean bind(Long paperLibraryId, Long paperScanTaskDetailId);

    int countBindData(Long paperScanTaskId);

    List<PaperLibraryResult> toBindPaper();
}
