package com.qmth.paper.library.common.bean.dto.excel;

import com.qmth.paper.library.common.annotation.ExcelImportTempleteVaild;
import com.qmth.paper.library.common.annotation.ExcelNote;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 系统机构导入Dto
 * @Author: CaoZixuan
 * @Date: 2022-08-16
 */
@ExcelImportTempleteVaild(value = true)
public class SysOrgImportDto implements Serializable {
    @ExcelNote(value = "组织架构")
    @NotNull
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
