package com.qmth.paper.library.common.domain;

import java.io.Serializable;
import java.time.Duration;
import java.util.List;

/**
 * @Description: 系统配置
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/4/10
 */
public class SysDomain implements Serializable {

    boolean oss;

    List attachmentType;

    Integer attachmentLength;

    Double attachmentSize;

    String serverUpload;

    String adminLogoUrl;

    Integer autoCreatePdfResetMaxCount;

    Integer threadPoolCoreSize;

    boolean customThreadPoolCoreSize;

    Duration sessionActive;

    public Duration getSessionActive() {
        return sessionActive;
    }

    public void setSessionActive(Duration sessionActive) {
        this.sessionActive = sessionActive;
    }

    public boolean isCustomThreadPoolCoreSize() {
        return customThreadPoolCoreSize;
    }

    public void setCustomThreadPoolCoreSize(boolean customThreadPoolCoreSize) {
        this.customThreadPoolCoreSize = customThreadPoolCoreSize;
    }

    public Integer getAutoCreatePdfResetMaxCount() {
        return autoCreatePdfResetMaxCount;
    }

    public void setAutoCreatePdfResetMaxCount(Integer autoCreatePdfResetMaxCount) {
        this.autoCreatePdfResetMaxCount = autoCreatePdfResetMaxCount;
    }

    public Integer getThreadPoolCoreSize() {
        return threadPoolCoreSize;
    }

    public void setThreadPoolCoreSize(Integer threadPoolCoreSize) {
        this.threadPoolCoreSize = threadPoolCoreSize;
    }

    public String getAdminLogoUrl() {
        return adminLogoUrl;
    }

    public void setAdminLogoUrl(String adminLogoUrl) {
        this.adminLogoUrl = adminLogoUrl;
    }

    public Integer getAttachmentLength() {
        return attachmentLength;
    }

    public void setAttachmentLength(Integer attachmentLength) {
        this.attachmentLength = attachmentLength;
    }

    public Double getAttachmentSize() {
        return attachmentSize;
    }

    public void setAttachmentSize(Double attachmentSize) {
        this.attachmentSize = attachmentSize;
    }

    public boolean isOss() {
        return oss;
    }

    public void setOss(boolean oss) {
        this.oss = oss;
    }

    public List getAttachmentType() {
        return attachmentType;
    }

    public void setAttachmentType(List attachmentType) {
        this.attachmentType = attachmentType;
    }

    public String getServerUpload() {
        return serverUpload;
    }

    public void setServerUpload(String serverUpload) {
        this.serverUpload = serverUpload;
    }
}
