package com.qmth.paper.library.task.start;

import com.qmth.paper.library.task.service.QuartzService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Description: 服务启动时初始化运行，哪个微服务模块需要则拿此模版去用
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/3
 */
@Component
public class StartRunning implements CommandLineRunner {
    private final static Logger log = LoggerFactory.getLogger(StartRunning.class);

    @Resource
    QuartzService quartzService;

    @Override
    public void run(String... args) throws Exception {
        log.info("服务器启动时执行 start");

//        log.info("增加任务到期提醒定时任务 start");
//        Map expireJobMap = new HashMap();
//        expireJobMap.computeIfAbsent("name", v -> SendSmsExpireJob.class.getName());
//        quartzService.deleteJob(JobEnum.SMS_NOTICE_TASK_EXPIRE_JOB.name(), JobEnum.SMS_NOTICE_TASK_EXPIRE_JOB_GROUP.name());
//        // 每天15点定时任务
//        quartzService.addJob(SendSmsExpireJob.class, JobEnum.SMS_NOTICE_TASK_EXPIRE_JOB.name(), JobEnum.SMS_NOTICE_TASK_EXPIRE_JOB_GROUP.name(), "0 0 15 * * ?", expireJobMap);
//        log.info("增加任务到期提醒定时任务 end");
//
//        log.info("增加任务逾期提醒定时任务 start");
//        Map orverdueJobMap = new HashMap();
//        orverdueJobMap.computeIfAbsent("name", v -> SendSmsOverdueJob.class.getName());
//        quartzService.deleteJob(JobEnum.SMS_NOTICE_TASK_OVERDUE_JOB.name(), JobEnum.SMS_NOTICE_TASK_OVERDUE_JOB_GROUP.name());
//        // 每天9点定时任务
//        quartzService.addJob(SendSmsOverdueJob.class, JobEnum.SMS_NOTICE_TASK_OVERDUE_JOB.name(), JobEnum.SMS_NOTICE_TASK_OVERDUE_JOB_GROUP.name(), "0 0 9 * * ?", orverdueJobMap);
//        log.info("增加任务逾期提醒定时任务 end");
//
//        log.info("增加短信发送失败重发定时任务 start");
//        Map rensendJobMap = new HashMap();
//        rensendJobMap.computeIfAbsent("name", v -> ResendSmsJob.class.getName());
//        quartzService.deleteJob(JobEnum.SMS_NOTICE_TASK_RESEND_JOB.name(), JobEnum.SMS_NOTICE_TASK_RESEND_JOB_GROUP.name());
//        // 每隔1小时定时任务
//        quartzService.addJob(ResendSmsJob.class, JobEnum.SMS_NOTICE_TASK_RESEND_JOB.name(), JobEnum.SMS_NOTICE_TASK_RESEND_JOB_GROUP.name(), "0 0/30 * * * ?", rensendJobMap);
//        log.info("增加短信发送失败重发定时任务 end");

        log.info("服务器启动时执行 end");
    }
}
