package com.qmth.paper.library.business.bean.result;

import com.qmth.paper.library.business.entity.PaperLibrary;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 数据检查
 */
public class PaperLibraryResult extends PaperLibrary implements Serializable {

    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @ApiModelProperty(value = "学号")
    private String studentCode;

    @ApiModelProperty(value = "课程")
    private String courseName;

    @ApiModelProperty(value = "绑定图片数量")
    private int bindCount;

    @ApiModelProperty(value = "图片访问地址")
    private String fileUrl;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public int getBindCount() {
        return bindCount;
    }

    public void setBindCount(int bindCount) {
        this.bindCount = bindCount;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }
}
