package com.qmth.paper.library.common.bean.params;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.Map;

/**
 * @Description: 角色组成员params
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2022/3/8
 */
public class SysRoleGroupMemberMatchParams implements Serializable {

    @ApiModelProperty(value = "流程节点数据组")
    @NotEmpty(message = "流程节点数据组不能为空")
    private Map<String, SysRoleGroupMemberMatch> flowRoleGroupMemberMatchMap;

    public Map<String, SysRoleGroupMemberMatch> getFlowRoleGroupMemberMatchMap() {
        return flowRoleGroupMemberMatchMap;
    }

    public void setFlowRoleGroupMemberMatchMap(Map<String, SysRoleGroupMemberMatch> flowRoleGroupMemberMatchMap) {
        this.flowRoleGroupMemberMatchMap = flowRoleGroupMemberMatchMap;
    }
}
