package com.qmth.paper.library.task.enums;

import java.util.Objects;

/**
 * @Description: job enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/31
 */
public enum JobEnum {

    SMS_NOTICE_TASK_EXPIRE_JOB("任务到期提醒定时任务"),

    SMS_NOTICE_TASK_EXPIRE_JOB_GROUP("任务到期提醒定时任务job组"),

    SMS_NOTICE_TASK_OVERDUE_JOB("任务逾期提醒定时任务"),

    SMS_NOTICE_TASK_OVERDUE_JOB_GROUP("任务逾期提醒定时任务job组"),

    SMS_NOTICE_TASK_RESEND_JOB("短信发送失败重发定时任务"),

    SMS_NOTICE_TASK_RESEND_JOB_GROUP("短信发送失败重发定时任务job组");

    private String title;

    private JobEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        for (JobEnum e : JobEnum.values()) {
            if (Objects.equals(value.trim(), e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
